org.apache.storm.eventhubs.spout

## Class StaticPartitionCoordinator

- java.lang.Object
- - org.apache.storm.eventhubs.spout.StaticPartitionCoordinator

- All Implemented Interfaces:
    IPartitionCoordinator

      public class StaticPartitionCoordinator
      extends Object
      implements IPartitionCoordinator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EventHubSpoutConfig` | `config`
    `protected Map<String,IPartitionManager>` | `partitionManagerMap`
    `protected List<IPartitionManager>` | `partitionManagers`
    `protected IStateStore` | `stateStore`
    `protected int` | `taskIndex`
    `protected int` | `totalTasks`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticPartitionCoordinator(EventHubSpoutConfig spoutConfig, int taskIndex, int totalTasks, IStateStore stateStore, IPartitionManagerFactory pmFactory, IEventHubReceiverFactory recvFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<String>` | `calculateParititionIdsToOwn()`
    `List<IPartitionManager>` | `getMyPartitionManagers()`
    `IPartitionManager` | `getPartitionManager(String partitionId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### config

          protected final EventHubSpoutConfig config

    - #### taskIndex

          protected final int taskIndex

    - #### totalTasks

          protected final int totalTasks

    - #### partitionManagers

          protected final List<IPartitionManager> partitionManagers

    - #### partitionManagerMap

          protected final Map<String,IPartitionManager> partitionManagerMap

    - #### stateStore

          protected final IStateStore stateStore

  - ### Constructor Detail

    - #### StaticPartitionCoordinator

          public StaticPartitionCoordinator(EventHubSpoutConfig spoutConfig,
                                            int taskIndex,
                                            int totalTasks,
                                            IStateStore stateStore,
                                            IPartitionManagerFactory pmFactory,
                                            IEventHubReceiverFactory recvFactory)

  - ### Method Detail

    - #### getMyPartitionManagers

          public List<IPartitionManager> getMyPartitionManagers()

      Specified by:
        `getMyPartitionManagers` in interface `IPartitionCoordinator`

    - #### getPartitionManager

          public IPartitionManager getPartitionManager(String partitionId)

      Specified by:
        `getPartitionManager` in interface `IPartitionCoordinator`

    - #### calculateParititionIdsToOwn

          protected List<String> calculateParititionIdsToOwn()

Copyright © 2019 The Apache Software Foundation. All rights reserved.